Update Inventory Settings

Update inventory settings

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | NOTE: Analytics endpoints require the Content (`store_v2_content` and `store_v2_content_read_only`) OAuth scope. ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Query parameters

channel_idintegerOptional

Channel ID to use for channel-specific settings. If omitted, you will interact with the global settings only.

Request

null set for a particular field removes override on a channel level and means inheritance from a global level
product_out_of_stock_behaviorenumOptional
Describes storefront behavior when product is out of stock.
Allowed values:
option_out_of_stock_behaviorenumOptional
Describes storefront behavior when variant is out of stock.
Allowed values:
update_stock_behaviorenumOptional
Describes when stock levels are updated. Global settings apply when inventory changes through a [manual order](https://support.bigcommerce.com/s/article/Creating-a-Manual-Order?language=en_US). Settings for a channel apply when inventory changes through an order in a channel. These settings affect webhooks that trigger from order-related events, including [product](/developer/docs/integrations/webhooks/event-reference#products), [SKU](/developer/docs/integrations/webhooks/event-reference#skus), and [inventory](/developer/docs/integrations/webhooks/event-reference/inventory-and-location-events#inventory) webhooks.
Allowed values:
edit_order_stock_adjustmentbooleanOptional
Describes whether stock levels automatically adjust when you edit an order. Global settings apply when inventory changes through a [manual order](https://support.bigcommerce.com/s/article/Creating-a-Manual-Order?language=en_US). Settings for a channel apply when inventory changes through an order in a channel. These settings affect webhooks that trigger from order-related events, including [product](/developer/docs/integrations/webhooks/event-reference#products), [SKU](/developer/docs/integrations/webhooks/event-reference#skus), and [inventory](/developer/docs/integrations/webhooks/event-reference/inventory-and-location-events#inventory) webhooks.
refund_order_stock_adjustmentbooleanOptional
Describes whether stock levels automatically adjust when you refund or cancel an order. Global settings apply when inventory changes through a [manual order](https://support.bigcommerce.com/s/article/Creating-a-Manual-Order?language=en_US). Settings for a channel apply when inventory changes through an order in a channel. These settings affect webhooks that trigger from order-related events, including [product](/developer/docs/integrations/webhooks/event-reference#products), [SKU](/developer/docs/integrations/webhooks/event-reference#skus), and [inventory](/developer/docs/integrations/webhooks/event-reference/inventory-and-location-events#inventory) webhooks.
stock_level_displayenumOptional
Describes whether a storefront displays stock levels.
Allowed values:
default_out_of_stock_messagestringOptional
Out of stock message displayed to shoppers.
hide_in_product_filteringbooleanOptional

Describes whether an option is hidden in product filtering. Applies when option_out_of_stock_behavior is set to label_option.

show_pre_order_stock_levelsbooleanOptionalDefaults to false

Describes whether pre-order stock levels are shown.

show_out_of_stock_messagebooleanOptionalDefaults to false

Describes whether out-of-stock messages are shown on product listing pages.

Response

OK, null indicates that a particular field has not been overridden on a channel level when channel level settings are requested
dataobject
metaobject
Response metadata.